Subject: bug#36288: closed (Re: bug#36288: 27.0.50; Cannot use menu-set-font)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 30 Jun 2019 07:03:02 +0000

Your bug report

#36288: 27.0.50; Cannot use menu-set-font

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
36288: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=36288
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#36288: 27.0.50; Cannot use menu-set-font
From: YAMAMOTO Mitsuharu <[email-masked]>
To: Robert Pluim <[email-masked]>
Cc: [email-masked]
Date: Sun, 30 Jun 2019 16:02:46 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sun, 23 Jun 2019 22:50:11 +0900,
Robert Pluim wrote:
> 
> >>>>> On Sun, 23 Jun 2019 15:34:23 +0900, YAMAMOTO Mitsuharu <[email-masked]> said:
>     >> On second thought, it seems to be better to leave the font type
>     >> unspecified.  Hard-coding the wanted font type was introduced as a
>     >> "fix" for Bug#3228, but I suspect its reasoning is no longer valid (I
>     >> couldn't find fonts.alias in the Type1 font directory in CentOS or
>     >> Linux Mint).  Also, probably we should set the :family font property
>     >> instead of :name.
> 
> Thanks, that fixed things for me, with font-backend '(xfthb x) and '(x xfthb)
> 
> Iʼve not looked at Bug#3228, but at least on my Ubuntu machine I have:
> 
> /usr/share/fonts/X11/Type1/fonts.alias
> /usr/share/fonts/X11/misc/fonts.alias
> 
> but given the prevalence of opentype and truetype fonts, Iʼm not sure
> that thereʼs anything to worry about.

Ah, the package gsfonts-X11 seems to provide fonts.alias for URW Type1
fonts.  Anyway, I think the behavior originally reported as Bug#3228
is actually consistent in the sense that "% emacs -fn courier-12" also
displays the text in "ugly" font in OP's environment.

Also, x-select-font is a function for a generic font selection dialog,
not specific to menu-select-font.  So its result should not include
font type property only for menu-select-font.

I've pushed the patch to master as e2d8c1e8bcf.  Closing the bug.

				     YAMAMOTO Mitsuharu
				[email-masked]

Subject: 27.0.50; Cannot use menu-set-font
From: Robert Pluim <[email-masked]>
To: [email-masked]
Date: Wed, 19 Jun 2019 09:48:04 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

emacs -Q
M-x menu-set-font
select Ubuntu Mono Regular =>

"set-face-attribute: Font not available: #<font-spec xft nil Ubuntu\ Mono nil nil normal normal nil 10.0 nil nil nil ((:name . "Ubuntu Mono"))>"

I can select Ubuntu Mono using M-x customize-face. Why does
menu-set-font try to use an xft spec?

(frame-parameter nil 'font-backend) =>
(xfthb x)

In GNU Emacs 27.0.50 (build 4, x86_64-pc-linux-gnu, GTK+ Version 3.22.30)
 of 2019-06-19
Repository revision: 50c5d5621cb5e6d7c86829ac4b776d81e47b2189
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.11804000
System Description: Ubuntu 18.04.2 LTS

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND GPM DBUS GSETTINGS GLIB NOTIFY INOTIFY
ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM THREADS PDUMPER LCMS2 GMP